<?php

/**
 * @file
 * File Chooser Field Plugin Utility class
 */

/**
 * File Chooser Field plugin utility class.
 * Helper functions.
 */
class PluginUtilities {

  /**
   * Set plugin status.
   */
  public function setStatus($value) {
    $this->setSetting('status', $value);
  }

  /**
   * Get plugin status.
   */
  public function getStatus() {
    return $this->getSetting('status');
  }

  /**
   * Save settings.
   */
  protected function setSetting($key, $value) {
    $settings = (object) variable_get('file_chooser_field_plugin_settings', array());
    $className = get_class($this);
    $settings->{$className}->$key = $value;
    variable_set('file_chooser_field_plugin_settings', $settings);
    return $this;
  }

  /**
   * Save settings.
   */
  protected function getSetting($key, $default = '') {
    $settings = (object) variable_get('file_chooser_field_plugin_settings', array());
    $className = get_class($this);
    if (!empty($settings->{$className}->$key)) {
      return $settings->{$className}->$key;
    }
    else {
      return $default;
    }
  }

}
